/*
 *   xmcd - Motif(tm) CD Audio Player
 *
 *   Copyright (C) 1993  Ti Kan
 *   E-mail: ti@amb.org
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */
#ifndef __CDFUNC_H__
#define __CDFUNC_H__

#ifndef LINT
static char *_cdfunc_h_ident_ = "@(#)cdfunc.h	1.58 93/09/28";
#endif


/* Args for set_btn_lbltype */
#define BTN_PIXMAP	0		/* Pixmap button labels */
#define BTN_STRING	1		/* Text button labels */


/* Public functions */
int		curtrk_pos(curstat_t *);
int		curprog_pos(curstat_t *);
void		dpy_track(curstat_t *);
void		dpy_index(curstat_t *);
void		dpy_time(curstat_t *, bool_t);
void		dpy_all(curstat_t *);
void		dpy_dbmode(curstat_t *);
void		dpy_progmode(curstat_t *);
void		dpy_timemode(curstat_t *);
void		dpy_playmode(curstat_t *, bool_t);

void		reset_curstat(curstat_t *, bool_t);
void		reset_shuffle(curstat_t *);

void		set_lock_btn(bool_t);
void		set_repeat_btn(bool_t);
void		set_shuffle_btn(bool_t);
void		set_vol_slider(byte_t);
void		set_btn_lbltype(byte_t);

int		taper_vol(int);
int		untaper_vol(int);

int		cd_timeout(word32_t, void (*)(), byte_t *);
void		cd_untimeout(int);
void		cd_beep(void);
void		cd_pause_blink(curstat_t *, bool_t);
void		cd_ab_blink(curstat_t *, bool_t);
void		cd_info_popup(char *, char *);
void		cd_warning_popup(char *, char *);
void		cd_fatal_popup(char *, char *);
void		cd_confirm_popup(char *, char *, XtCallbackProc, XtPointer,
			XtCallbackProc, XtPointer);
void		cd_playprog(curstat_t *);
void		cd_init(curstat_t *);
void		cd_start(curstat_t *);
void		cd_icon(curstat_t *, bool_t);
void		cd_halt(curstat_t *);
bool_t		cd_devlock(char *);
void		onsig(int);


/* Callback functions */
void		cd_checkbox(Widget, XtPointer, XtPointer);
void		cd_load_eject(Widget, XtPointer, XtPointer);
void		cd_poweroff(Widget, XtPointer, XtPointer);
void		cd_dbprog(Widget, XtPointer, XtPointer);
void		cd_time(Widget, XtPointer, XtPointer);
void		cd_ab(Widget, XtPointer, XtPointer);
void		cd_sample(Widget, XtPointer, XtPointer);
void		cd_level(Widget, XtPointer, XtPointer);
void		cd_play_pause(Widget, XtPointer, XtPointer);
void		cd_stop(Widget, XtPointer, XtPointer);
void		cd_prevtrk(Widget, XtPointer, XtPointer);
void		cd_nexttrk(Widget, XtPointer, XtPointer);
void		cd_previdx(Widget, XtPointer, XtPointer);
void		cd_nextidx(Widget, XtPointer, XtPointer);
void		cd_rew(Widget, XtPointer, XtPointer);
void		cd_ff(Widget, XtPointer, XtPointer);
void		cd_keypad_popup(Widget, XtPointer, XtPointer);
void		cd_keypad_clear(Widget, XtPointer, XtPointer);
void		cd_keypad_popdown(Widget, XtPointer, XtPointer);
void		cd_keypad_num(Widget, XtPointer, XtPointer);
void		cd_keypad_enter(Widget, XtPointer, XtPointer);
void		cd_about(Widget, XtPointer, XtPointer);
void		cd_help_popup(Widget, XtPointer, XtPointer);
void		cd_help_popdown(Widget, XtPointer, XtPointer);
void		cd_warning_popdown(Widget, XtPointer, XtPointer);
void		cd_fatal_popdown(Widget, XtPointer, XtPointer);
void		cd_rmcallback(Widget, XtPointer, XtPointer);
void		cd_form_focus_chg(Widget, XtPointer, XtPointer);
void		cd_exit(Widget, XtPointer, XtPointer);

/* Event handlers */
void		cd_btn_focus_chg(Widget, XtPointer, XEvent *, Boolean *);

#endif	/* __CDFUNC_H__ */

