/*
 *   xmcd - Motif(tm) CD Audio Player
 *
 *   Copyright (C) 1993  Ti Kan
 *   E-mail: ti@amb.org
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *   This software module contains code that interfaces xmcd to
 *   the SunOS operating systems.  The name "Sun" and "SunOS"
 *   are used here for identification purposes.  This software and
 *   its author are not affiliated with Sun Microsystems.
 */
#ifndef __LIB_SUN_H__
#define __LIB_SUN_H__

#if defined(sun) && !defined(DEMO_ONLY)

#ifndef LINT
static char *_lib_sun_h_ident_ = "@(#)lib_sun.h	1.7 93/10/06";
#endif

#ifdef SVR4

#include <sys/scsi/impl/uscsi.h>
#define USCSI_STATUS_GOOD	0

#else	/* !SVR4 */

#include <scsi/impl/uscsi.h>
#undef USCSI_WRITE
#define USCSI_WRITE		0

/* This is a hack to work around a bug in SunOS 4.x's _IOWR macro
 * in <sys/ioccom.h> which makes it incompatible with ANSI compilers.
 * If Sun ever changes the definition of USCSICMD or _IOWR then
 * this will have to change...
 */
#undef _IOWR
#undef USCSICMD

#define _IOWR(x,y,t)	( \
				_IOC_INOUT | \
				((sizeof(t) & _IOCPARM_MASK) << 16) | \
				((x) << 8) | (y) \
			)
#define USCSICMD	_IOWR('u', 1, struct uscsi_cmd)

#endif	/* SVR4 */


#ifndef OSI_MODULE
#define OSI_MODULE
#endif


/* Public function prototypes */
bool_t	pthru_send(byte_t, word32_t, byte_t *, word32_t, byte_t, word32_t,
		byte_t, byte_t, byte_t);
bool_t	pthru_open(char *);
void	pthru_close(void);
char	*pthru_vers(void);


#endif	/* sun && !DEMO_ONLY */

#endif	/* __LIB_SUN_H__ */

