:
#
# @(#)makesrc.sh	1.24 93/10/30
#
# Make xmcd source code release
#
#    xmcd - Motif(tm) CD Audio Player
#
#    Copyright (C) 1993  Ti Kan
#    E-mail: ti@amb.org
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#

FILES="	Imakefile \
	BUGS \
	COPYING \
	INSTALL \
	PORTING \
	README \
	demo.cddb \
	xmcd.man \
	XMcd.ad \
	XKeysymDB \
	dev.config \
	install.sh \
	configure.sh \
	makerel.sh \
	makesrc.sh \
	cdfunc.h \
	cdlib.h \
	dbprog.h \
	geometry.h \
	help.h \
	hotkey.h \
	lib_demo.h \
	lib_hita.h \
	lib_hpux.h \
	lib_nec.h \
	lib_odt.h \
	lib_pion.h \
	lib_scsipt.h \
	lib_sim.h \
	lib_sun.h \
	lib_svr4.h \
	lib_tosh.h \
	patchlevel.h \
	resource.h \
	util.h \
	widget.h \
	xmcd.h \
	cdfunc.c \
	dbprog.c \
	geometry.c \
	help.c \
	hotkey.c \
	lib_demo.c \
	lib_hita.c \
	lib_hpux.c \
	lib_nec.c \
	lib_odt.c \
	lib_pion.c \
	lib_scsipt.c \
	lib_sim.c \
	lib_sun.c \
	lib_svr4.c \
	lib_tosh.c \
	main.c \
	util.c \
	widget.c \
	bitmaps/Imakefile \
	bitmaps/ab.xbm \
	bitmaps/btnlbl.xbm \
	bitmaps/dbprog.xbm \
	bitmaps/eject.xbm \
	bitmaps/ff.xbm \
	bitmaps/help.xbm \
	bitmaps/keypad.xbm \
	bitmaps/lock.xbm \
	bitmaps/logo.xbm \
	bitmaps/nextidx.xbm \
	bitmaps/nexttrk.xbm \
	bitmaps/playpaus.xbm \
	bitmaps/poweroff.xbm \
	bitmaps/previdx.xbm \
	bitmaps/prevtrk.xbm \
	bitmaps/repeat.xbm \
	bitmaps/rew.xbm \
	bitmaps/sample.xbm \
	bitmaps/shuffle.xbm \
	bitmaps/stop.xbm \
	bitmaps/time.xbm \
	bitmaps/xmcd.xbm \
	helpfiles/AbBtn \
	helpfiles/CheckBox \
	helpfiles/DbModeInd \
	helpfiles/DbProgBtn \
	helpfiles/DdCancelBtn \
	helpfiles/DdClrBtn \
	helpfiles/DdDiscTxt \
	helpfiles/DdOkBtn \
	helpfiles/DpAboutBtn \
	helpfiles/DpAddPgmBtn \
	helpfiles/DpCancelBtn \
	helpfiles/DpClrPgmBtn \
	helpfiles/DpDExtBtn \
	helpfiles/DpDTitleTxt \
	helpfiles/DpLinkBtn \
	helpfiles/DpLoadBtn \
	helpfiles/DpPgmSeqTxt \
	helpfiles/DpPlayPgmBtn \
	helpfiles/DpSaveBtn \
	helpfiles/DpTExtBtn \
	helpfiles/DpTTitleTxt \
	helpfiles/DpTimeSelBtn \
	helpfiles/DpTrkList \
	helpfiles/DsCancelBtn \
	helpfiles/DsDirList \
	helpfiles/DsOkBtn \
	helpfiles/DtCancelBtn \
	helpfiles/DtClrBtn \
	helpfiles/DtOkBtn \
	helpfiles/DtTrackTxt \
	helpfiles/EjectBtn \
	helpfiles/FfBtn \
	helpfiles/HelpBtn \
	helpfiles/Imakefile \
	helpfiles/IndexInd \
	helpfiles/KeypadBtn \
	helpfiles/KeypadInd \
	helpfiles/KpCancelBtn \
	helpfiles/KpClearBtn \
	helpfiles/KpEnterBtn \
	helpfiles/KpNumBtn \
	helpfiles/LevelScale \
	helpfiles/LsCancelBtn \
	helpfiles/LsLinkList \
	helpfiles/LsOkBtn \
	helpfiles/NextIdxBtn \
	helpfiles/NextTrkBtn \
	helpfiles/PlayModeInd \
	helpfiles/PlayPauseBtn \
	helpfiles/PowerBtn \
	helpfiles/PrevIdxBtn \
	helpfiles/PrevTrkBtn \
	helpfiles/ProgModeInd \
	helpfiles/RewBtn \
	helpfiles/SampleBtn \
	helpfiles/StopBtn \
	helpfiles/TimeBtn \
	helpfiles/TimeInd \
	helpfiles/TimeModeInd \
	helpfiles/TrackInd"


# Use SysV echo if possible
if [ -x /usr/5bin/echo ]
then
	ECHO=/usr/5bin/echo
else
	ECHO=echo
fi

# Create tar archive
tar cf xmcdsrc.tar $FILES

# Compress tar archive
compress xmcdsrc.tar

$ECHO '

Instructions to unpack xmcd source code release
-----------------------------------------------

The following is a compressed and uuencoded tar archive containing
the xmcd source code files.  To extract, make a suitable source
code directory for xmcd and save this message in a file "xmcdsrc.uue"
in that directory.  Then, change to the directory and do the following:

	uudecode xmcdsrc.uue
	uncompress xmcdsrc.tar.Z
	tar xvf xmcdsrc.tar

Read the README and INSTALL files for further instructions.

' >xmcdsrc.uue

# Uuencode
uuencode xmcdsrc.tar.Z xmcdsrc.tar.Z >>xmcdsrc.uue

rm -f xmcdsrc.tar.Z
ls -l xmcdsrc.uue
exit 0

