/*
 *   xmcd - Motif(tm) CD Audio Player
 *
 *   Copyright (C) 1993  Ti Kan
 *   E-mail: ti@amb.org
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */
#ifndef __UTIL_H__
#define __UTIL_H__

#ifndef LINT
static char *_util_h_ident_ = "@(#)util.h	1.28 93/09/28";
#endif


/* Utility macros */
#define sqr(x)	((x) * (x))		/* Compute the square of a number */


/* Public function prototypes */
void		usage(int, char **);
sword32_t	ltobcd(sword32_t);
sword32_t	bcdtol(sword32_t);
bool_t		stob(char *);
char		*basename(char *);
char		*dirname(char *);
char		*homedir(uid_t);
int		isqrt(int);
void		blktomsf(word32_t, byte_t *, byte_t *, byte_t *, word32_t);
void		msftoblk(byte_t, byte_t, byte_t, word32_t *, word32_t);
word16_t	bswap16(word16_t);
word32_t	bswap24(word32_t);
word32_t	bswap32(word32_t);
word16_t	lswap16(word16_t);
word32_t	lswap24(word32_t);
word32_t	lswap32(word32_t);

#ifdef DEBUG
FILE		*dbfile_open(char *);
int		dbfile_close(FILE *);
void		dbfile_dump(FILE *, char *, byte_t *, int);
#endif

#endif	/* __UTIL_H__ */

